${SegmentFile}

!define CUSTOM_APPDIR '$AppDirectory\DiskDrill'

${SegmentPrePrimary}
	${DebugMsg} "Check for local Glary Utilities" ;HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Glary Utilities 5\UninstallString: "C:\Program Files\Glary Utilities 5\uninst.exe"
	ClearErrors
	${If} ${RegistryKeyExists} 'HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{2C59E7CE-DEF3-4CDA-9C80-3E900F8E8DC9}'
		${DebugMsg} "Local Disk Drill present, aborting launch."
		MessageBox MB_OK|MB_ICONSTOP "Can't run this portable app with local Disk Drill installation present.$\n Aborting launch..."
		Abort
	${Else}
		${DebugMsg} "Run portable Disk Drill custom services"
		nsExec::ExecToStack '"${CUSTOM_APPDIR}\cfbackd.w32.exe" --install'
    ${EndIf}
!macroend

${SegmentPostPrimary}
	${DebugMsg} "Remove portable Disk Drill custom services"
	nsExec::ExecToStack '"${CUSTOM_APPDIR}\cfbackd.w32.exe" --uninstall'
!macroend

; HKLM\SYSTEM\CurrentControlSet\services\cfbackd\Type: 0x00000010
; HKLM\SYSTEM\CurrentControlSet\services\cfbackd\Start: 0x00000003
; HKLM\SYSTEM\CurrentControlSet\services\cfbackd\ErrorControl: 0x00000001
; HKLM\SYSTEM\CurrentControlSet\services\cfbackd\ImagePath: "C:\Program Files\CleverFiles\Disk Drill\cfbackd.w32.exe"
; HKLM\SYSTEM\CurrentControlSet\services\cfbackd\DisplayName: "DiskDrill Watcher"
; HKLM\SYSTEM\CurrentControlSet\services\cfbackd\ObjectName: "LocalSystem"
; HKLM\SYSTEM\CurrentControlSet\services\cfbackd\FailureActions: 78 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 14 00 00 00 01 00 00 00 00 00 00 00
